> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proxylane.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Sub-account usage



## OpenAPI

````yaml /resellers/openapi.json get /subaccounts/{id}/usage
openapi: 3.1.0
info:
  title: ProxyLane Reseller API
  version: 1.0.0
  description: Residential traffic, sub-accounts, proxy generation and static ISP IPs.
servers:
  - url: https://proxylane.dev/api/v1
security:
  - bearer: []
paths:
  /subaccounts/{id}/usage:
    get:
      summary: Sub-account usage
      operationId: subaccountUsage
      parameters:
        - $ref: '#/components/parameters/SubaccountId'
        - name: granularity
          in: query
          schema:
            type: string
            enum:
              - day
              - hour
            default: day
        - name: periods
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 168
          description: Up to 90 days or 168 hours. Defaults to 30 days or 24 hours
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      granularity:
                        type: string
                      series:
                        type: array
                        items:
                          type: object
                          properties:
                            period_start:
                              type: string
                              format: date-time
                            bytes:
                              type: integer
components:
  parameters:
    SubaccountId:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: A reseller key from the panel, starting with plr_

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.